%define	upstream_name	 Compress-LZF
%define	upstream_version 3.8

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 17

Summary:    Extremely light-weight Lempel-Ziv-Free compression
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Compress/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
LZF is an extremely fast (not that much slower than a pure memcpy) compression
algorithm. It is ideal for applications where you want to save some space but
not at the cost of speed. It is ideal for repetitive data as well. The module
is self-contained and very small (no large library to be pulled in).
It is also free, so there should be no problems incorporating this module into
commercial programs.

"I have no idea whether any patents in any countries apply to this algorithm,
but at the moment it is believed that it is free from any patents."

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.800.0-17.mga10
+ Revision: 2225907
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 3.800.0-16.mga10
+ Revision: 2088008
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 3.800.0-15.mga10
+ Revision: 2010939
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 3.800.0-14.mga9
+ Revision: 1861611
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 3.800.0-13.mga9
+ Revision: 1795563
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 3.800.0-12.mga9
+ Revision: 1726422
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 3.800.0-11.mga8
+ Revision: 1594349
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 3.800.0-10.mga8
+ Revision: 1528845
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 3.800.0-9.mga8
+ Revision: 1432745
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 3.800.0-8.mga7
+ Revision: 1292529
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 3.800.0-7.mga7
+ Revision: 1248515
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 3.800.0-6.mga7
+ Revision: 1163463
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 3.800.0-5.mga7
+ Revision: 1148690
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 3.800.0-4.mga7
+ Revision: 1127633
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 3.800.0-3.mga6
+ Revision: 1024278
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 3.800.0-2.mga6
+ Revision: 956892
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 3.800.0-1.mga6
+ Revision: 851595
- update to 3.8

* Fri Jun 26 2015 sander85 <sander85> 3.700.0-6.mga6
+ Revision: 844033
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 3.700.0-5.mga5
+ Revision: 748941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.700.0-4.mga5
+ Revision: 683966
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.700.0-3.mga5
+ Revision: 630889
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 3.700.0-2.mga4
+ Revision: 533103
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 sander85 <sander85> 3.700.0-1.mga4
+ Revision: 471751
- update to 3.7

* Wed May 29 2013 jquelin <jquelin> 3.430.0-6.mga4
+ Revision: 430572
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.430.0-5.mga3
+ Revision: 364548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.430.0-4.mga3
+ Revision: 250341
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 3.430.0-3.mga2
+ Revision: 103716
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 3.430.0-2.mga1
+ Revision: 29919
- mageia rebuild
- imported package perl-Compress-LZF


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 3.430.0-2mdv2011.0
+ Revision: 555696
- rebuild

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 3.430.0-1mdv2010.0
+ Revision: 406890
- rebuild using %%perl_convert_version

* Mon Dec 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.43-1mdv2009.1
+ Revision: 320936
- new version

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.41-1mdv2009.1
+ Revision: 292032
- update to new version 3.41

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 3.11-3mdv2009.0
+ Revision: 256039
- rebuild

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.11-1mdv2008.1
+ Revision: 152954
- update to new version 3.11
- update to new version 3.11

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 3.1-2mdv2008.1
+ Revision: 151464
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.1-1mdv2008.1
+ Revision: 114477
- update to new version 3.1

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2008.1
+ Revision: 109525
- update to new version 2.0


* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 1.71-1mdv2007.0
+ Revision: 131636
- 1.71

* Sun Jan 07 2007 Olivier Thauvin <nanardon@mandriva.org> 1.7-1mdv2007.1
+ Revision: 105017
- first mdv package
- Create perl-Compress-LZF

